MGASA-2022-0180 - Updated golang-github-prometheus-client packages fix security vulnerability

Publication date: 15 May 2022
URL: https://advisories.mageia.org/MGASA-2022-0180.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-21698

HTTP server is susceptible to a Denial of Service through unbounded
cardinality, and potential memory exhaustion, when handling requests with
non-standard HTTP methods.

References:
- https://bugs.mageia.org/show_bug.cgi?id=30054
- https://github.com/prometheus/client_golang/security/advisories/GHSA-cg3q-j54f-5p7p
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/FY3N7H6VSDZM37B4SKM2PFFCUWU7QYWN/
- https://lists.opensuse.org/archives/list/[email protected]/thread/DCH7WCUVWWLVX6ITJIZWAVCPF7EKZ2D6/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-21698

SRPMS:
- 8/core/golang-github-prometheus-client-1.11.1-1.mga8